/*
 * Classified Tydeman Consulting Proprietary
 * Copyright (C) 1998, 2012 Tydeman Consulting.  All rights reserved.
 *
 * Fred J. Tydeman	tydeman@tybor.com
 *
 * Combine the various files in one compile (instead of separate compiles
 * followed by a linkedit of several object files and libraries).  This is
 * to make running this sample test easier for environments that do not
 * yet fully support FPCE of C99.
 *
 * MODIFICATION HISTORY:
 *
 * 2000/03/01 - Make classification explicit in each file.
 * 2000/03/01 - Remove confidential so can post to public ftp site.
 * 2012/06/05 - Add s0000000.fjt for prt_ldbl().
 *
 ***********************************************************************/

#include "sample.h"		/* Configuration file for sample tests */

/* 
 * The real test case 
 */
#include "t0120200.fjt"

/* 
 * FPCE test suite support code
 */
#include "s0000000.fjt"

/* 
 * These should be provided with your C99 compiler in the form of a library
 * that you would linkedit with the FPCE test suite.
 */
#ifdef SAMPLE_fetestexcept	/* Do we need to use our own version? */
#include "fetestex.c"
#endif

#ifdef SAMPLE_feraiseexcept	/* Do we need to use our own version? */
#include "feraisee.c"
#endif

#ifdef SAMPLE_feclearexcept	/* Do we need to use our own version? */
#include "fecleare.c"
#endif
